Belgelere geç
API

Bir konuşmaya not ekle

Bir konuşmaya özel bir not iliştirin.

POST/threads/{id}/notes

Gerçek çağrıyı çalışma alanınızda çalıştırır.

POST /threads/{id}/notes

Bir konuşmaya özel bir not iliştirin.

Örnek

threads:write gerektirir. content en fazla 20.000 karakterdir, color default, red, orange, yellow, green, blue, purple ve pink değerlerinden biridir, pinned ise notu en üstte tutar. Notla birlikte 201 döner.

curl
curl -X POST "$OE/threads/thr_7c1e4a90/notes" -H "$AUTH" -H "Content-Type: application/json" \  -d '{ "content": "Waiting on the signed contract before replying.", "color": "yellow", "pinned": true }'
Yanıt
{  "object": "note",  "id": "b3d1f0c2-7a4e-4f7b-9c1d-2e8f6a5b4c3d",  "threadId": "thr_7c1e4a90",  "content": "Waiting on the signed contract before replying.",  "color": "yellow",  "pinned": true,  "order": 4,  "createdAt": "2026-09-30T09:12:44.000Z",  "updatedAt": "2026-09-30T09:12:44.000Z"}

Yeni bir not diğerlerinin ardına gelir. Aynı isteği iki kez göndermek iki not ekler.

Referans